Name:           lasem
Version:        0.3.0
Release:        1%{?dist}
Summary:        SVG and MathML rendering library

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://blogs.gnome.org/emmanuel/
Source0:        http://download.gnome.org/pub/gnome/sources/lasem/0.3/%{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: gobject-introspection
%if 0%{fedora} <= 13
Requires: gir-repository
%endif
Requires: lyx-fonts

BuildRequires: cairo-devel
BuildRequires: pango-devel
BuildRequires: glib2-devel
BuildRequires: gtk2-devel
%if 0%{fedora} >= 14
Buildrequires: gdk-pixbuf2-devel
%endif
BuildRequires: gobject-introspection-devel
%if 0%{fedora} <= 13
BuildRequires: gir-repository-devel
%endif
BuildRequires: intltool
BuildRequires: libxml2-devel

%description
Lasem is a library for rendering SVG and MathML, implementing a DOM like
API. It's based on GObject and uses Pango and Cairo for the rendering.

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
%if 0%{fedora} <= 13
Requires: gir-repository-devel
%else
Requires: cairo-devel
Requires: gdk-pixbuf2-devel
Requires: glib2-devel
Requires: pango-devel
%endif

%description devel
Files for development with %{name}.

%package tools
Summary: Tools distributed with %{name}
Group: System environment/Libraries
Requires: %{name} = %{version}-%{release}

%description tools
This package contains lasemrender, a program to convert a MathML, latex or
SVG file to PNG, PDF, or SVG.

%prep
%setup -q

# .gir are better generated than distributed
rm src/*.gir

%build
%configure --disable-static

make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# Remove libtool archives
find %{buildroot} -name '*.la' -exec rm -f {} ';'

# Remove files we install elsewhere and empty files
rm %{buildroot}/usr/doc/lasem*/{AUTHORS,COPYING,ChangeLog,INSTALL,NEWS,README}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_libdir}/liblasem-*.so.*
%{_libdir}/girepositry-1.0/Lasem-*.typelib

%files devel
%defattr(-,root,root,-)
%{_datadir}/gir-1.0/Lasem-*.gir
%{_libdir}/liblasem-*.so
%{_libdir}/pkgconfig/lasem-*.pc
%{_includedir}/lasem-*

%files tools
%defattr(-,root,root,-)
%{_bindir}/lasemrender

%changelog
* Mon Sep  6 2010 Owen Taylor <otaylor@redhat.com> - 0.3.0-1
- Initial version
